#if !defined(AFX_HINTFILEVIEW_H__03ABE77B_3861_4087_ADC1_4E3391AFC7DC__INCLUDED_)
#define AFX_HINTFILEVIEW_H__03ABE77B_3861_4087_ADC1_4E3391AFC7DC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// HintFileView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CHintFileView view

#include "ListBoxEx.h"

class CHintFileView : public CView
{
protected:
	CHintFileView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CHintFileView)

// Attributes
public:

// Operations
public:
	void OnSelChange();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CHintFileView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	virtual BOOL OnCommand(WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CHintFileView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	CListBoxEx m_wndListFiles;
	//{{AFX_MSG(CHintFileView)
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_HINTFILEVIEW_H__03ABE77B_3861_4087_ADC1_4E3391AFC7DC__INCLUDED_)
